using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using PassportEditControl;

namespace PassportEditControl_Test
{
    public partial class PersonData : Form
    {
        public PersonData()
        {
            InitializeComponent();
        }

        private void PersonData_Load(object sender, EventArgs e)
        {
            PassportEdit pe = new PassportEdit();
            this._dgv.Rows.Add(2);
            this._dgv.Rows.Add("", "", new Passport("55", "001287", new DateTime(1991, 8, 19)));
            this._dgv.Rows.Add();
            this._dgv.Columns[2].Width = pe.Width + 2;
            int totalWidth = 0;
            foreach(DataGridViewColumn col in this._dgv.Columns)
                totalWidth += (col.Width+col.DividerWidth);
            this.ClientSize = new Size(totalWidth+this._dgv.RowHeadersWidth+5, this.ClientSize.Height);
        }

        private void _btShowVal_Click(object sender, EventArgs e)
        {
            int rowIdx = this._dgv.CurrentCell.RowIndex;
            Passport pas = this._dgv.Rows[rowIdx].Cells[2].Value as Passport;
            string info = (pas == null ? "     Passport!" :
                "    Passport  :" + Environment.NewLine +
                " - " + pas.Series + Environment.NewLine +
                " - " + pas.Number + Environment.NewLine +
                " - " + pas.IssueDate.ToShortDateString());
            MessageBox.Show(info, "Info about cell [2]\\["+rowIdx.ToString()+"]");
        }
    }
}